Bug 430178 - 1MB memory leaked w/every nm-applet dialog show/hide
1MB memory leaked w/every nm-applet dialog show/hide
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-24 20:08 EST by Stephen
Modified: 2008-08-05 16:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-05 16:11:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen 2008-01-24 20:08:24 EST
Description of problem:

Every time the dialog asking for your WPA (or etc.) password is shown, for
example because you typed it wrong the first time, ~1MB of memory is leaked.

Another 1MB is leaked every time.

Version-Release number of selected component (if applicable):


How reproducible:

Comment 1 Dan Williams 2008-01-25 12:06:42 EST
Fixed upstream in applet r478; leaks a bit still but a whole lot less now.  Will
get into next F8 update.
Comment 2 Fedora Update System 2008-02-07 18:59:38 EST
NetworkManager-0.7.0-0.6.7.svn3302.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-02-13 00:08:00 EST
NetworkManager-0.7.0-0.6.7.svn3302.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-1552

Note You need to log in before you can comment on or make changes to this bug.